Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 229243

Summary: Review Request: compat-wxGTK26 - wxWidgets/GTK2 2.6.x
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: Package ReviewAssignee: Gérard Milmeister <gemi>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: chitlesh, gemi, paul
Target Milestone: ---Flags: dennis: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-23 19:34:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 163779    

Description Michael Schwendt 2007-02-19 18:44:24 UTC
Spec URL: http://home.arcor.de/ms2002sep/tmp/compat-wxGTK26.spec
SRPM URL: http://home.arcor.de/ms2002sep/tmp/compat-wxGTK26-2.6.3-1.src.rpm

Description: wxWidgets/GTK2 is the GTK2 port of the C++ cross-platform wxWidgets
GUI library, offering classes for all common GUI controls as well as a
comprehensive set of helper classes for most common application tasks,
ranging from networking to HTML display and image manipulation.

[...]

Package is customised to coexist with wxGTK >= 2.8 for Fedora 7. The -devel package can be installed in parallel with wxGTK-devel, too.

Audacity 1.3.2-beta can be built with this, for example. With >= 2.8 it locks up, and more recent CVS snapshots of Audacity introduce new problems.

Comment 1 Gérard Milmeister 2007-02-20 17:10:24 UTC
rpmlint for compat-wxGTK26:
W: compat-wxGTK26 invalid-license wxWidgets Library Licence
- ok, this is commented in the spec
E: compat-wxGTK26 obsolete-not-provided wxGTK
E: compat-wxGTK26 obsolete-not-provided wxGTK-gl
- ?

rpmlint for compat-wxGTK26-devel:
W: compat-wxGTK26-devel invalid-license wxWidgets Library Licence
- ok
E: compat-wxGTK26-devel obsolete-not-provided wxGTK-devel
- ?
E: compat-wxGTK26-devel only-non-binary-in-usr-lib
- annoying but irrelevant error
W: compat-wxGTK26-devel no-documentation
W: compat-wxGTK26-devel symlink-should-be-relative /usr/bin/wx-2.6-config
/usr/lib/wx/config/gtk2-unicode-release-2.6
- this should be fixed

Comment 2 Michael Schwendt 2007-02-20 17:25:40 UTC
> E: compat-wxGTK26 obsolete-not-provided wxGTK
> E: compat-wxGTK26 obsolete-not-provided wxGTK-gl
> E: compat-wxGTK26-devel obsolete-not-provided wxGTK-devel

This is normal for compat-* packages. We create a new package
namespace, which shall be separate from the wxGTK >= 2.8 packages,
also with regard to how RPM handles upgrades of virtual packages.

> W: compat-wxGTK26-devel symlink-should-be-relative
> /usr/bin/wx-2.6-config /usr/lib/wx/config/gtk2-unicode-release-2.6

Will fix.


Comment 4 Gérard Milmeister 2007-02-22 21:21:40 UTC
rpmlint compat-wxGTK26-debuginfo-2.6.3-2.i386.rpm:

W: compat-wxGTK26-debuginfo spurious-executable-perm
/usr/src/debug/wxGTK-2.6.3/include/wx/msgout.h
E: compat-wxGTK26-debuginfo script-without-shebang
/usr/src/debug/wxGTK-2.6.3/src/common/msgout.cpp

Some people insist on this being fixed :-)

Otherwise, the package has already been reviewed in a slightly different form.
It installs correctly as far as I can see.

APPROVED

Comment 5 Michael Schwendt 2007-02-22 22:31:56 UTC
New Package CVS Request
=======================
Package Name: compat-wxGTK26
Short Description: wxWidgets/GTK2 2.6.x
Owners: bugs.michael@gmx.net
Branches: devel
InitialCC: 

Comment 6 Dennis Gilmore 2007-02-23 12:48:28 UTC
branch created